<script setup lang="ts">
import { ref } from 'vue';

const count = ref(0);
const add = () => {count.value++
};
const subtract = () => count.value--;


</script>

<template>
  <div class="counter">
    <div class="inline-flex">
      <n-button
        type="primary"
        @click="subtract"
      >
        -
      </n-button>
      <pre>{{ count }}</pre>
      <n-button
        type="primary"
        @click="add"
      >
        +
      </n-button>
    </div>
  </div>
  <div class="counter-message">
    <slot />
  </div>
</template>

<style>
.inline-flex {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  gap: 1em;
}
</style>
